#include "AFMotor.h"
#include <SoftwareSerial.h>

/**
   Programa para el carro robot con bluetooth para Arduino.
   CORPORACION MEXBUSA SA DE CV
   Tarjeta: Arduino UNO - ATMEGA328P.
   IDE: Arduino 1.8.8
   @author: Misael Saenz Flores
   @version: 24/01/19
   Esta obra está bajo una Licencia Creative Commons
   Atribución-NoComercial-CompartirIgual 4.0 Internacional.
*/

SoftwareSerial BT1(9, 10); //RX - TX

AF_DCMotor motorUno(1, MOTOR12_64KHZ);
AF_DCMotor motorDos(2, MOTOR12_64KHZ);
AF_DCMotor motorTres(3, MOTOR12_64KHZ);
AF_DCMotor motorCuatro(4, MOTOR12_64KHZ);

char dato;

void setup() {
  BT1.begin(9600);
  motorUno.setSpeed(255);
  motorDos.setSpeed(255);
  motorTres.setSpeed(255);
  motorCuatro.setSpeed(255);

}

void loop() {
  if (BT1.available() > 0) {
    dato = BT1.read();
  }
  switch (dato) {
    case 'G':
      Adelante();
      break;
    case 'H':
      Izquierda();
      break;
    case 'J':
      Derecha();
      break;
    case 'I':
      Alto();
      break;
    case 'K':
      Reversa();
      break;
    default:
      Alto();
      break;
  }
}

void Adelante() {
  motorUno.run(FORWARD);
  motorDos.run(FORWARD);
  motorTres.run(FORWARD);
  motorCuatro.run(FORWARD);
}

void Reversa() {
  motorUno.run(BACKWARD);
  motorDos.run(BACKWARD);
  motorTres.run(BACKWARD);
  motorCuatro.run(BACKWARD);
}

void Derecha() {
  motorUno.run(FORWARD);
  motorDos.run(BACKWARD);
  motorTres.run(FORWARD);
  motorCuatro.run(BACKWARD);
}

void Izquierda() {
  motorUno.run(BACKWARD);
  motorDos.run(FORWARD);
  motorTres.run(BACKWARD);
  motorCuatro.run(FORWARD);
}

void Alto() {
  motorUno.run(RELEASE);
  motorDos.run(RELEASE);
  motorTres.run(RELEASE);
  motorCuatro.run(RELEASE);
}
